Assessment Groups
Add users to an Assessment Group
Adds one or more users to an Assessment Group with a specified role.
Maximum 100 members per request.
POST
/
v1
/
assessment-groups
/
{assessmentGroupId}
/
members
/
batchAdd
Add users to an Assessment Group
curl --request POST \
--url https://client.synack.com/api/assessment/v1/assessment-groups/{assessmentGroupId}/members/batchAdd \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"members": [
{
"userUid": "u_5f3c8b2a",
"role": "assessment_member"
},
{
"userUid": "u_9e1d4f0c",
"role": "rbac_group_admin"
}
]
}
'import requests
url = "https://client.synack.com/api/assessment/v1/assessment-groups/{assessmentGroupId}/members/batchAdd"
payload = { "members": [
{
"userUid": "u_5f3c8b2a",
"role": "assessment_member"
},
{
"userUid": "u_9e1d4f0c",
"role": "rbac_group_admin"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
members: [
{userUid: 'u_5f3c8b2a', role: 'assessment_member'},
{userUid: 'u_9e1d4f0c', role: 'rbac_group_admin'}
]
})
};
fetch('https://client.synack.com/api/assessment/v1/assessment-groups/{assessmentGroupId}/members/batchAdd', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"userUid": "<string>",
"id": 123,
"errorDetail": "<string>"
}
],
"metadata": {
"processedAt": "2023-11-07T05:31:56Z",
"counts": {
"added": 1,
"removed": 1,
"noop": 1,
"error": 1
}
}
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Numeric identifier of the Assessment Group.
Required range:
x >= 1Body
application/json
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
⌘I
Add users to an Assessment Group
